CAD软件中坐标Z轴归零问题的两种解决办法

版权声明:本站资源均收集整理于互联网,其著作权归原作者所有,如果有侵犯您权利的资源,请来信告知,我们将及时撤销相应资源。 https://blog.csdn.net/xinyu590/article/details/82420571
 相信这个问题困扰过很多人,
下面是我总结了一些解决办法,
很好用,都试过了,在这里和大家分享一下,
希望以后不要再在这个问题上浪费时间了

第一种:
1、ELEV--标高和厚度都设为0
2、天正:工具(最左边的竖列里)-其他工具-统一标高
 搞定
3、选中你要改的地方 ctr+1 调出特性 把几何图形的标高改成0就行了
4、z轴归零可以用统一标高,就是每个字的第一个字母TYBG
5、请按步骤操作 
1.将画面ctrl+a全选 
2.使用移动(m_)命令,输入第一点位置0,0,0 确定,然后输入第二点位置   
0,0,1e99(是数字一英语字母E和数字九九)确定 
3.将画面ctrl+a全选 
4.使用移动(m_)命令,输入第一点位置0,0,1e99 确定,然后输入第二点位置0,0,-1e99确定 
5.使用移动(m_)命令,输入第一点位置0,0,-1e99 确定,然后输入第二点位置  0,0,0确定 
这样Z轴就归零了,原理是将问题的点全部移至正无穷,再移至负无穷,最后再移回到0坐标 
注意:在这样做之前,要将块先打散,不然即使按部就班的做了这些步骤,图形也回不到0坐标
第二种:
CAD Z轴归零工具
将以下内容复制在记事本中另存为“Z0.lsp”文件,在CAD命令行运行appload命令,加载刚保存的“Z0.lsp”文件后,在命令输入命令Z0即可。
 
(defun C:Z0 ( / SS1) 
(setvar "cmdecho" 0)
(if (setq SS1 (ssget))
(progn
(command ".undo" "be")
(princ "\n正在处理图形数据,请稍候...")
(terpri)
(command ".ucs" "w")
(command ".move" SS1 "" '(0 0 1e99) "" ".move" "p" "" '(0 0 -1e99) "")
(princ "\nOK,已将所选图元Z坐标值全部归零。")
(command ".undo" "e")
);end progn
);end (if (/= SS1 nil)
(princ)
);end (defun C:Z=0 ( / SS1)
展开阅读全文

没有更多推荐了,返回首页